#include<stdio.h>
#include<math.h>
int main(){
	long long int x,y;
	scanf("%lld %lld",&x,&y);
	long long int br[100];
	long long int pom=0;
    long long int c1,c2;
	while(x!=0||y!=0){
		if(x==0)x=-1;
		if(y==0)y=-1;
		c1=x%10,c2=y%10;
		if(c1>c2){
			br[pom]=c1;
			pom++;
		}
		else if(c1==c2){
			br[pom]=c1;
			pom++;
			br[pom]=c2;
			pom++;
		}
		else{
			br[pom]=c2;
			pom++;
		}
		x=x/10;
		y=y/10;	
		
	}
	long long int sum=0;
	for(int i=0;i<pom;i++){
		
		sum+=br[i]*pow(10,i);
	}
	printf("%lld",sum);
}